# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Pod/Html.pm) perl(Pod/LaTeX.pm) perl(Pod/Man.pm) perl(Pod/Text.pm) perl(Script/isAperlScript.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.0.0
%define module_name POD-Walker
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.0
Release: alt1
Summary: Walks a directory and runs any Perl files through the specified POD converter.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/V/VV/VVELOX/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
use POD::Walker;.    my $returned=POD::Walker->run({in=>"/input/path", out=>"/output/path", format=>"html" });
    if($returned->{error}){
        print "Error: ".$returned->{error}."\n";
    }

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/P*

%files scripts
%_bindir/*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.0-alt1
- initial import by package builder

